<mat-card>
  <h3> Número de Programas Estudantis / Por Tipo de Bolsa</h3>
  <mat-card-content>

    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" >

        <ng-container matColumnDef="categoria">
          <th mat-header-cell *matHeaderCellDef> Tipo da Bolsa </th>
          <td mat-cell *matCellDef="let element"> {{element?.categoria}} </td>
        </ng-container>
      
        <!-- Name Column -->
        <ng-container matColumnDef="total">
          <th mat-header-cell *matHeaderCellDef> Total </th>
          <td mat-cell *matCellDef="let element"> {{element?.total}} </td>
        </ng-container>
            
        <ng-container matColumnDef="acao">
          <th mat-header-cell *matHeaderCellDef>Ações</th>
          <td mat-cell *matCellDef="let row">
            <mat-icon class="cursor" (click)="abrirDetalhe(row)"
              matTooltip="Detalhe" matTooltipPosition="above">search</mat-icon>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

    </div>
    <mat-paginator [pageSizeOptions]="[5, 10, 15, 20]" showFirstLastButtons></mat-paginator>
    
  </mat-card-content>
</mat-card>